from sklearn.datasets import make_blobs
from sklearn.model_selection import train_test_split
from sklearn.neural_network import MLPClassifier
import matplotlib.pyplot as plt
from plot_decision import plot_decision

X, y = make_blobs(n_samples=500, n_features=2, centers=3, cluster_std=1.2, random_state=2)
X_train, X_valid, y_train, y_valid = train_test_split(X, y, random_state=3)

model = MLPClassifier(solver='lbfgs', hidden_layer_sizes=(4, 3),
    activation='logistic', max_iter=200) # lecture example has random_state=0
model.fit(X_train, y_train) 
print(model.score(X_valid, y_valid))

plot_decision(model, X_valid, y_valid)
plt.show()
